On Aug 30, 2005, at 9:14 AM, Benji York wrote:

Martijn Faassen wrote:

There appear to be some doctest failures in zc.catalog as retrieved from the sandbox yesterday:

I believe these are caused by not having the stemmer installed. I'm not sure where the stemmer is available. I'll ask Gary to follow up when he gets in.

No, these tests are not failing for us. The stemmer needs to have either TextIndexNG installed, or just the TextIndexNG stemmer. We have a package of just the stemmer for our own code. One of my many personal "todo"s is to talk with Andreas about options for releasing the stemmer individually sometime. He did that at one point a couple of years back.

Anyway, yeah, just install TextIndexNG.

I don't know why the globber would be failing, and again, the tests aren't failing for us, but I plan to remove that bit anyway. It was a hack from before I realized I could leverage the TextIndexNG stemmer. We are not using the globber.

We've fixed the deprecation warning in the extent catalog, but that's the only change we have internally for zc.catalog of which I'm aware.

Zope3-dev mailing list
Unsub: http://mail.zope.org/mailman/options/zope3-dev/archive%40mail-archive.com

Reply via email to